{% extends 'base.html.twig' %}

{% block title %}Register{% endblock %}

{% block body %}

    {% for label, messages in app.flashes %}
        {% for message in messages %}
            <div class="alert alert-{{ label }} temporary">{{ message }}</div>
        {% endfor %}
    {% endfor %}


    {% for flash_error in app.flashes('verify_email_error') %}
        <div class="alert alert-danger" role="alert">{{ flash_error }}</div>
    {% endfor %}


    <div class="container">
        <div class="row">
            <h1 class="mt-5 text-center">Inscription</h1>

            <div class="col-4 mt-3 d-flex align-items-center justify-content-center w-100 text-center"
                 style="padding-top: 100px; padding-bottom: 100px;">
                {{ form_start(registrationForm) }}
                <div class="form-group">
                    {{ form_label(registrationForm.email) }}
                    {{ form_widget(registrationForm.email, { 'attr': {'class': 'form-control mt-3 mb-3'} }) }}
                </div>

                <div class="form-group">
                    {{ form_label(registrationForm.username) }}
                    {{ form_widget(registrationForm.username, { 'attr': {'class': 'form-control mt-3 mb-3'} }) }}
                </div>

                <div class="form-group">
                    {{ form_label(registrationForm.plainPassword) }}
                    {{ form_widget(registrationForm.plainPassword, { 'attr': {'class': 'form-control mt-3 mb-3'} }) }}
                </div>

                <div class="form-group">
                    {{ form_label(registrationForm.image) }}
                    {{ form_widget(registrationForm.image, { 'attr': {'class': 'form-control mt-3 mb-3'} }) }}
                </div>

                <div class="form-group">
                    {{ form_widget(registrationForm.submit, { 'attr': {'class': 'btn btn-primary mt-3'} }) }}
                </div>

                {{ form_end(registrationForm) }}
            </div>
        </div>
    </div>

{% endblock %}
